call spQuery_Lista_CuotaCompra_Proveedor(1, 'Ninguno','Ninguno');

DROP PROCEDURE IF EXISTS spQuery_Lista_CuotaCompra_Proveedor;
CREATE PROCEDURE spQuery_Lista_CuotaCompra_Proveedor(
  varEmpresa  int,
  varAnio     varchar(4),
  varMes      varchar(2)
  )
BEGIN 
  select id_proveedor, nombre 
  from _sv_proveedor
  where _estado='A' and estado = 'A' 
  and id_tipo_proveedor = 'PR'
  and id_proveedor not in (
                          select id_proveedor
                          from _sv_cuota_compra_proveedor
                          where id_empresa = varEmpresa
                          and id_anio      = varAnio
                          and id_mes       = varMes
                          group by id_proveedor
                          )
  order by nombre;
END;